Create a new API key
curl -X POST "https://api.5centscdn.com/v2/account/api/new" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY" \
-d '{
"name": "My Application",
"description": "Used by the mobile app",
"permission[]": [
"read",
"update"
],
"_METHOD": "PUT"
}'
import requests
import json
url = "https://api.5centscdn.com/v2/account/api/new"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
data = {
"name": "My Application",
"description": "Used by the mobile app",
"permission[]": [
"read",
"update"
],
"_METHOD": "PUT"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/account/api/new", {
method: "POST",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
},
body: JSON.stringify({
"name": "My Application",
"description": "Used by the mobile app",
"permission[]": [
"read",
"update"
],
"_METHOD": "PUT"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"name": "My Application",
"description": "Used by the mobile app",
"permission[]": [
"read",
"update"
],
"_METHOD": "PUT"
}`)
req, err := http.NewRequest("POST", "https://api.5centscdn.com/v2/account/api/new", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/account/api/new')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
request.body = '{
"name": "My Application",
"description": "Used by the mobile app",
"permission[]": [
"read",
"update"
],
"_METHOD": "PUT"
}'
response = http.request(request)
puts response.body
{
"result": "success",
"message": "API Key Created",
"id": 12345
}
/account/api/new
Target server for requests. Edit to use your own host.
API key (sent in header)
The media type of the request body
Human-readable label for the API key / application.
Optional description of the key's purpose.
Set of CRUD permissions granted to this key. At least one value is required. Multiple values allowed.
Must be set to PUT to trigger API key creation.
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Provide your API key in the header.
Body
Human-readable label for the API key / application.
Optional description of the key's purpose.
Set of CRUD permissions granted to this key. At least one value is required. Multiple values allowed.
Must be set to PUT to trigger API key creation.
Responses
Operation outcome.
Human-readable description of the operation outcome.
Unique identifier of the newly created API key.